## isdnutils 2.1.beta1-15

=== debian/changelog ===
isdnutils (1:2.1.beta1-15) unstable; urgency=low

  * now no longer generating diffs, so i can include a binary file
  * added beep.msg file (the upstream version is broken due to cvs)
  * fixed stupid bug in preinst.

 -- Andreas Jellinghaus <aj@debian.org>  Thu, 18 Sep 1997 22:19:30 +0200

isdnutils (1:2.1.beta1-14) unstable; urgency=low

  * -nb
  * fixed bug in configure scripte (vbox logdir was "$withval")
  * corrected source format : now orig.tar.gz + diff

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 14 Sep 1997 10:45:16 +0200

isdnutils (1:2.1.beta1-13) bo-updates unstable; urgency=low

  * fixed bug in postinst.
  * closed bug 12525 (too old software, now obsolete).
  * bug #10024 obsolete (sais the bug reporter :-)
  * isdnutils will go to bp-updates and unstable (closes bug 12065)
  * isdnctrl working ok (no sigbus, closes bug #11972)
  * isdnlog and isdnrep have manpages (closes bug #11414
  * isdnlog logfile renamed to  /var/lib/isdn/calls 
  * vboxgetty logfiles rotated one a week  (should be enough ?)
  * fixed isdnlog.DEVICE : first line should be "[options]".
  * corrected init.d script : will now ignore backup files.
  * corrected makedev call.
  * vbox logdir corrected.

 -- Andreas Jellinghaus <aj@debian.org>  Wed, 10 Sep 1997 09:01:24 +0200

isdnutils (1:2.1.beta1-12) unstable; urgency=low

  * vbox now working, other bugfixes and typos

 -- Andreas Jellinghaus <aj@debian.org>  Tue,  9 Sep 1997 10:55:54 +0200

isdnutils (1:2.1.beta1-11) unstable; urgency=low

  * only create 8 device, not all 64 (if makedev >= 1.6-20 is installed)

 -- Andreas Jellinghaus <aj@debian.org>  Mon,  8 Sep 1997 20:22:26 +0200

isdnutils (1:2.1.beta1-10) unstable; urgency=low

  * more bug fixes.

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  7 Sep 1997 22:42:28 +0200

isdnutils (1:2.1.beta1-9) unstable; urgency=low

  * Improved script/ configure system. Ready for beta release.

 -- Andreas Jellinghaus <aj@debian.org>  Sun,  7 Sep 1997 20:14:54 +0200

isdnutils (1:2.1.beta1-8) unstable; urgency=low

  * removed CONFIG.swp :-( 

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  4 Sep 1997 21:51:47 +0200

isdnutils (1:2.1.beta1-7) unstable; urgency=low

  * rewrote all makefile
  * new and improved configuration

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  4 Sep 1997 21:42:57 +0200

isdnutils (1:2.1.beta1-6) unstable; urgency=low

  * added patch from german suse distribution
  * added vboxconvert diff
  * moved into cvs archive
  * added man pages (very alpha, but better than nothing)
  * prevented -5 to go into stable (dependency problem, bug 11516)
  * removed note about /etc/rc.boot/isdn (that file doesn't exist).
  * added "exit 0" to cron.daily 
  * minor bugfix.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 22 Jul 1997 21:47:21 +0200

isdnutils (1:2.1.beta1-5) unstable stable; urgency=low

  * don't start isdnlog (causes problems on my machine. couldn't figure
    out why). isdnlog now uses a config file /etc/isdn/isdnlog.options
  * fixed postinst, ioptions and init.d script (thanks to heiko schlitterman)
  * changed description (thanks to christian schwarz)
  * bugfixes in init.d script (thanks to Andreas Wohlfeld)
  * now isdnlog should create /var/lib/isdn/calls
  * activated MS_CHAP to ipppd.

 -- Andreas Jellinghaus <aj@debian.org>  Thu,  3 Jul 1997 21:12:32 +0200

isdnutils (1:2.1.beta1-4) unstable stable; urgency=low

  * moved xisdnload and xmonisdn to /usr/X11R6/...
  * removed ioptions.ipppX. added help text in postinst.

 -- Andreas Jellinghaus <aj@debian.org>  Sat, 28 Jun 1997 11:17:15 +0200

isdnutils (1:2.1.beta1-3) unstable; urgency=low

  * 2.1.beta1-2 released.
  * patch from heiko schlitterman added.
  * small changes and bugfixes.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 17 Jun 1997 08:39:10 +0200

isdnutils (1:2.1.beta1-1.1) unstable; urgency=low

  * minor changes to make dpkg-source and
    ./debian/rules run smoothly
  * epoch used for version, since there are minor (very minor)
    changes to *orig.tar.gz!

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sun, 15 Jun 1997 20:13:32 +0200

isdnutils (2.1.beta1-2) unstable; urgency=low

  * corrected preinst.
  * moved some code from postinst to preinst, added checking for
    updates from 2.0.*
  * 2.1.beta1-1 released. 

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 15 Jun 1997 13:40:08 +0200

isdnutils (2.1.beta1-1) unstable; urgency=low

  * new ipppd creates correct pidfiles. (closes bug #9269)
  * new vbox does not need pvftools. (closes bug #10531)
  * new ipppd responds to signal (so you can kill it). (closes bug #9270)
  * isdnbutton was removed (in upstream source). 
    (closes bug #9137 and #10316 and #10317)
  * imontty manpage removed (in upstream source), all command line
    options removed (in upstream source). (closes bug #8426).
  * device permissions are changed (by makedev), isdnbutton is no longer
    included in isdnutils. (closes bug #8230)
  * 2.1b1 release of isdn4k-utils.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 27 May 1997 17:22:20 +0200

isdnutils (2.0.970524-1) unstable; urgency=low

  * Switched to use new cvs tree to prepare for the next release

 -- Andreas Jellinghaus <aj@debian.org>  Sat, 24 May 1997 10:07:44 +0200

isdnutils (2.0.1-3) experimental; urgency=low

  * changes to menu file : added xisdnload, changed xled

 -- Andreas Jellinghaus <aj@debian.org>  Sun, 4 May 1997 22:05:07 +0200

isdnutils (2.0.1-2) experimental; urgency=low

  * corrected paths to install imon and imontty.
  * added /etc/rc.boot/isdn, replaced /etc/init.d scripts.
  * fixed typo in preinst.

 -- Andreas Jellinghaus <aj@debian.org>  Sat, 3 May 1997 20:23:25 +0200

isdnutils (2.0.1-1) experimental; urgency=low

  * copied icn.h from kernel source 2.0.30 + hisax patch into icn/,
    so it can cleanly compile (icn.h is not a part of the kernel
    headers, but required to compile icnctrl).
  * same with pcbit.h
  * new versions of nearly anything. new structures. re-united with

