=== debian/control ===
Source: isdnutils
Section: net
Priority: extra
Maintainer: Andreas Jellinghaus <aj@dungeon.inka.de>
Standards-Version: 2.1.2.2

Package: isdnutils
Architecture: any
Depends: ${shlibs:Depends}, makedev (>>1.6-10), suidmanager, netbase (>= 2.14), sox
Suggests: ppp, tcpdump (>= 3.3.1a2-1)
Replaces: vbox
Conflicts: vbox, isdnlog, ipppd, xisdnutils
Description: isdn utilities
  This package includes everything you need to run ISDN: interface
  controlling programs, an ISDN logging tool, a voice box program,
  a synchronous PPP daemon, an ISDN load viewer, and much more.
  .
  This package will only run with 2.0.29 or 2.0.30 kernels with 
  Hisax ISDN patch 2.0.30A (this is included in -6/7/8 debian kernels).
  If you want to use 2.0.31pre9, download and install :
     ftp://ftp.inka.de/sites/dungeon/isdnutils_2.1.beta1-13.31_i386.deb
