=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=isdnutils

build:
	$(checkdir)
	cp debian/dot.config .config
	./configure -a -m
	$(MAKE) CFLAGS="-O2 -Wall -g"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/tmp* debian/files* core
	-rm -f debian/*substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp debian/tmp*
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install prefix=`pwd`/debian/tmp/usr 

	# install documentation
	mv debian/tmp/usr/doc/isdn4k-utils \
		debian/tmp/usr/doc/isdnutils/FAQ
	cp areacode/areacode.doc debian/tmp/usr/doc/isdnutils/areacode
	cp lib/README.Syntax.conffile debian/tmp/usr/doc/isdnutils/lib/Syntax.de
	cp lib/README.conffile debian/tmp/usr/doc/isdnutils/lib/conffile.de
	cp lib/README.isdntools debian/tmp/usr/doc/isdnutils/lib/isdntools.de
	cp imontty/Changelog debian/tmp/usr/doc/isdnutils/imontty.changelog
	cp imontty/README debian/tmp/usr/doc/isdnutils/imontty
	cp pcbit/README.pt debian/tmp/usr/doc/isdnutils/pcbit
	cp xisdnload/XISDNLoad.ad debian/tmp/usr/X11R6/lib/X11/app-defaults/XISDNLoad
	cp xmonisdn/README debian/tmp/usr/doc/isdnutils/xmonisdn
	
	cp ipppd/NOTES.IPPPD debian/tmp/usr/doc/isdnutils/ipppd/notes
	cp ipppd/README* debian/tmp/usr/doc/isdnutils/ipppd/
	cp ipppd/TODO.4.MP debian/tmp/usr/doc/isdnutils/ipppd

	cp isdnlog/BUGS debian/tmp/usr/doc/isdnutils/isdnlog/bugs.de
	cp isdnlog/FAQ debian/tmp/usr/doc/isdnutils/isdnlog/faq.de
	cp isdnlog/NEWS debian/tmp/usr/doc/isdnutils/isdnlog/changelog.de
	cp isdnlog/TODO debian/tmp/usr/doc/isdnutils/isdnlog/TODO.de
	cp isdnlog/README debian/tmp/usr/doc/isdnutils/isdnlog/README.de
	cp isdnlog/samples/{callerid.conf,isdn*,reload,stop}\
		 debian/tmp/usr/doc/isdnutils/examples/isdnlog
	cp HOWTO debian/tmp/usr/doc/isdnutils/isdnlog/HOWTO.de

	mv debian/tmp/usr/doc/vbox debian/tmp/usr/doc/isdnutils/vbox
	cp vbox/CHANGES debian/tmp/usr/doc/isdnutils/vbox/changelog
	cp vbox/INSTALL debian/tmp/usr/doc/isdnutils/vbox
	cd debian/tmp/usr/doc/isdnutils/vbox/; \
		mv vbox.txt vbox.de.txt ; \
		mv vbox.sgml vbox.de.sgml ; \
		sgml2html -c latin vbox.de.sgml
	for A in vbox/examples/*example ; do \
		cp $$A debian/tmp/usr/doc/isdnutils/examples/vbox/`basename $$A .example`; done

	cp debian/changelog.isdnlog \
		debian/tmp/usr/doc/isdnutils/isdnlog/changelog.debian.old
	cp debian/changelog.vbox \
		debian/tmp/usr/doc/isdnutils/vbox/changelog.debian.old
	cp debian/CONFIG \
		debian/tmp/usr/doc/isdnutils/CONFIG

	# install examples
	for A in debian/device.DEVICE debian/ipppd.DEVICE \
		debian/callerid.conf debian/isdn.conf debian/isdnlog.DEVICE \
		debian/vboxd.conf debian/vboxgetty.conf debian/vbox.conf \
		debian/standard.tcl ; do \
	cp $$A debian/tmp/usr/doc/isdnutils/examples/default; \
	done
	cd debian/tmp/usr/doc/isdnutils/examples ; cp vbox/*msg default/
	cp debian/ioptions debian/tmp/etc/ppp
	cp debian/isdnconfig debian/tmp/usr/sbin/

	# move x11 applications to a different place
	mv debian/tmp/usr/bin/xmonisdn debian/tmp/usr/X11R6/bin
	mv debian/tmp/usr/bin/xisdnload debian/tmp/usr/X11R6/bin
	mv debian/tmp/usr/man/man1/xisdnload.1 \
		debian/tmp/usr/X11R6/man/man1/xisdnload.1x
	mv debian/tmp/usr/man/man1/xmonisdn.1 \
		debian/tmp/usr/X11R6/man/man1/xmonisdn.1x

	# the rest. all documentation is already installed.
	debstd -m README 
	gunzip debian/tmp/usr/doc/isdnutils/examples/default/*gz
	dpkg-gencontrol -pisdnutils
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
